5V Trimmer Charger compatible with Hatteker RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-9598 RSCX-7568 Cordless Hair Trimmer Pro Hair Clippers Beard Trimmer & Electric Shaver Razor. acuever ๐๐ฎ๐ฑ๐ฎ๐ซ๐ฒ ๐๐๐๐ญ๐ฌ ๐๐จ๐ฌ๐ญ๐๐ฅ๐ ๐ข๐ ๐ข๐ง ๐๐ฏ๐๐ซ๐ฒ
Pay in 4 interest-free payments of $6.49 Learn more
Shipping Estimate
USA
- USA
- CAN
- USA
- CAN
Ships within 48 hours ยท Estimated delivery Oct 13 - Oct 18